diff --git a/src/backend/optimizer/plan/setrefs.c b/src/backend/optimizer/plan/setrefs.c
index 5537c14..c670d88 100644
--- a/src/backend/optimizer/plan/setrefs.c
+++ b/src/backend/optimizer/plan/setrefs.c
@@ -2462,6 +2462,13 @@ fix_combine_agg_expr_mutator(Node *node, fix_upper_expr_context *context)
 			 */
 			newtle = makeTargetEntry((Expr *) newvar, 1, NULL, false);
 			newaggref = (Aggref *) copyObject(aggref);
+
+			/*
+			 * aggfilter is irrelevant for combine nodes. Let's just nullify
+			 * it so it's not seen in EXPLAIN.
+			 */
+			newaggref->aggfilter = NULL;
+
 			newaggref->args = list_make1(newtle);
 
 			return (Node *) newaggref;
